Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

Has anybody ever encountered this wrong ELF class error? The failure is provided in more detail below:

[root@nocloud ~]# system-config-users
Traceback (most recent call last):
  File "/usr/share/system-config-users/system-config-users.py", line 25, in ?
    import libuser
ImportError: /usr/lib/python2.4/site-packages/libusermodule.so: wrong ELF class: ELFCLASS32

Can anybody tell me how I might possibly be able to fix this? It looks like python broke on my server.

share|improve this question
add comment

2 Answers 2

It looks like python is using libuser.i386 instead of libuser.x86_64. The error basically means python expected a 64-bit library but instead got a 32-bit library.

First, try installing libuser.x86_64, and try again ("yum install libuser.x86_64"). If that doesn't work, you may need to remove libuser.i386 and reinstall system-config-users.

share|improve this answer
add comment

I have figured out the solution to this. One can simply remove the file /usr/lib/python2.4/site-packages/libusermodule.so and then the OS will automatically use the correct one located here: /usr/lib64/python2.4/site-packages/libusermodule.so

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.